"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserGroups = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const class_validator_1 = require("class-validator");
const _1 = require(".");
let UserGroups = class UserGroups {
};
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    tslib_1.__metadata("design:type", Number)
], UserGroups.prototype, "id", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_validator_1.Length)(3, 50),
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 50,
        nullable: false,
        unique: true,
    }),
    tslib_1.__metadata("design:type", String)
], UserGroups.prototype, "label", void 0);
tslib_1.__decorate([
    (0, typeorm_1.OneToMany)(() => _1.Users, (item) => item.userGroup),
    tslib_1.__metadata("design:type", Array)
], UserGroups.prototype, "users", void 0);
UserGroups = tslib_1.__decorate([
    (0, typeorm_1.Entity)('user_groups')
], UserGroups);
exports.UserGroups = UserGroups;
//# sourceMappingURL=user-groups.js.map